weipa::VisItControl Namespace Reference

## Functions

bool | initialize (const std::string &simFile, const std::string &comment)
bool | publishData (EscriptDataset_ptr dataset)

## Variables

bool | initialized = false

## Function Documentation

## initialize()

WEIPA_DLL_API bool weipa::VisItControl::initialize | ( | const std::string & | simFile,
|  | const std::string & | comment
| ) |  |

References initialized, and MPI_COMM_WORLD.

Referenced by BOOST_PYTHON_MODULE().

## publishData()

WEIPA_DLL_API bool weipa::VisItControl::publishData | ( | EscriptDataset_ptr | dataset | ) |

References MPI_INT.

Referenced by BOOST_PYTHON_MODULE().

## Variable Documentation

## initialized

bool weipa::VisItControl::initialized = false

Referenced by initialize().